﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Infragistics.Windows.DataPresenter;

namespace BindHierarchicalDataSample
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            ObservableCollection<Accounts> data = new ObservableCollection<Accounts>();

            data.Add(new Accounts { field1 = 21.12222, field2 = "text1", field3 = "text1", 
                listOfDetails = new List<AccountDetails> 
            { new AccountDetails{ detail1 = "a1", detail2 = "a2"},
              new AccountDetails{ detail1 = "b1", detail2 = "b2"},
              new AccountDetails{ detail1 = "c1", detail2 = "c2"}
            } });
            data.Add(new Accounts { field1 = 44.6, field2 = "some text", field3 = "some text" });
            DataContext = data;

        }

    }

    public class ConverterClass : IValueConverter
    {
        public static ConverterClass Instance = new ConverterClass();

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            
                if (value is string)
                {
                    return "val: " +  value.ToString();
                }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
                return value;
        }

    }



}
 